#include <bits/stdc++.h>

using namespace std;

map<char, int> ponavljanja;
map<char, int> ponavljanja2;

char count(string a)
{
	
	int min = 200000;
	char v;
	
		for (int i = 0; i < a.length(); i++){
		
		ponavljanja.insert(make_pair(a[i],0));
		
		}
	
	
	for (const char &c: a){
		
		ponavljanja[c]++;
	}
	
	for(map<char, int>::iterator it = ponavljanja.begin(); it != ponavljanja.end(); it++){
		
		if((*it).second < min && (*it).second > 0){
		min = (*it).second;
		v = (*it).first;	
	}
	}
	
	return v;
	
}


void count2(string a)
{

	
		for (int i = 0; i < a.length(); i++){
		
		ponavljanja2.insert(make_pair(a[i],0));
		
		}
	
	
	for (const char &c: a){
		
		ponavljanja2[c]++;
	}
	
}

int main(){
	
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	
	string t,s;
	char np;
	
	cin >> t;
	
	cin >> s;
	
	np = count(t);

	
	count2(s);
	
	char sl;
	
	for(map<char, int>::iterator it = ponavljanja2.begin(); it != ponavljanja2.end(); it++){
		
		if((*it).second == ponavljanja[np] && (*it).second == ponavljanja[(*it).first]){
			
			cout << (*it).second << '\n';
			sl = (*it).first;
			
			break;
			
		}
		
	}
	
	for(int i = 0; i < t.length(); i++){
		
	if(t[i] == sl)t.replace(i,1,"*");	
		
	}

	cout << t << '\n';
	
	return 0;	
}